'obf-motor-t25
$regfile = "ATtiny25.DAT"
$crystal = 1000000                                          'intern 1 MHz
$prog &HFF , &H62 , &HDF , &HFF                             ' generated. Take care that the chip supports all fuse bytes.
Ddrb = &B00011000                                           ' B3 + B4 Ausgnge
Portb = &B00000100                                          ' B2 pull-up intern

Schliessen Alias Portb.3
Oeffnen Alias Portb.4
Taste Alias Pinb.2
Dim Offen As Bit
Dim Geschlossen As Bit
Config Aci = On , Compare = Off , Trigger = Rising          ' Konfiguration Analog Comparator
Start Ac                                                    ' Enable Analog Comparator

Gosub Zu
Do
If Taste = 0 And Geschlossen = 1 Then Gosub Auf:
If Taste = 0 And Offen = 1 Then Gosub Zu:
Loop
Stop Ac                                                     ' Disable Analog Comparator
End

Zu:
Offen = 0
Geschlossen = 0
Schliessen = 1
Gosub Zeit:                                                 'Anlauf
Do
   Loop Until Acsr.aco = 1
Schliessen = 0
Geschlossen = 1
Return

Auf:
Offen = 0
Geschlossen = 0
Oeffnen = 1
Gosub Zeit:                                                 'Anlauf
Do
   Loop Until Acsr.aco = 1
Oeffnen = 0
Offen = 1
Return

Zeit:
Waitms 100
Return